REDHAT Directory Server 4.1 installation



DB2 Installation:


When the LDAP server starts, the LDAP software connects to a local db2 instance (ldapdb2)
with a password authorization. To ensure this password will never expire and bring down the LDAP
service, some special conditions apply to the "ldapdb2" user:

pwdadm -f NOCHECK ldapdb2
chuser login=false ldapdb2
chuser rlogin=false ldapdb2
echo ldapdb2 >> /etc/ftpusers
echo "export DB2LOGINRESTRICTIONS=NONE" >> ~ldapdb2/.profile #DB2 v.8 >= FP5
echo "db2set DB2LOGINRESTRICTIONS=NONE" >> ~ldapdb2/.profile #DB2 v.8 >= FP5


ERROR:
[root@localhost udb72]# ./db2setup
./db2inst: error while loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file

SOLUTION:
=> create softlink:
[root@localhost udb72]# ln -s /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so /usr/lib/libstdc++-libc6.1-1.so.2

!!!!!

./db2setup works now!!!!




[root@localhost db2]# rpm -hiv db2engn71-7.1.0-40.i386.rpm
error: failed dependencies:
db2rte71 >= 7.1.0-40 is needed by db2engn71-7.1.0-40

[root@localhost db2]# rpm -hiv db2rte71-7.1.0-40.i386.rpm
error: failed dependencies:
db2cliv71 >= 7.1.0-40 is needed by db2rte71-7.1.0-40
db2cucs71 >= 7.1.0-40 is needed by db2rte71-7.1.0-40

[root@localhost db2]# rpm -hiv db2cliv71-7.1.0-40.i386.rpm [ok]
[root@localhost db2]# rpm -hiv db2cucs71-7.1.0-40.i386.rpm [ok]

[root@localhost db2]# rpm -hiv db2rte71-7.1.0-40.i386.rpm
Preparing... ########################################### [100%]
1:db2rte71 ########################################### [100%] [ok]

[root@localhost db2]# rpm -hiv db2engn71-7.1.0-40.i386.rpm
Preparing... ########################################### [100%]
1:db2engn71 ########################################### [100%] [ok]


#[db2 successfully installed]


[root@localhost ldap41_us]# rpm -hiv ldap-serverd-4.1-1.i386.rpm
Preparing... ########################################### [100%]
1:ldap-serverd ########################################### [100%] [ok]


#ldap successfully installed??
[root@localhost ldap41_us]# rpm -qa |grep ldap
ldap-clientd-4.1-1
ldap-serverd-4.1-1
ldap-dmtjavad-4.1-1
f#[ok]


[GSKIT] installation
fehler#

[root@localhost gskit]# rpm -i gsk5bas-5.0-4.58.i386.rpm
error: failed dependencies:
libstdc++.so.2.9 is needed by gsk5bas-5.0-4.58

softlink auf libstdc++.so.2.9

rpm -i gsk5bas-5.0-4.58.i386.rpm --nodeps


LDAP IBM directory server 4.1 & Redhat EAS3 problem

slapd: relocation error: /usr/ldap/lib/libutlsa.so: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference

-> solution: export LD_ASSUME_KERNEL=2.2.5

kill LDAP:
kill -9 $(cat /etc/slapd.pid)

kill all ldap instances:
ps -ef |grep slapd | awk '{ system("kill -9 " $2)}'

#ldap check db2 log:
/home/ldapdb2/sqllib/db2dump/db2diag.log

computer2know :: thank you for your visit :: have a nice day :: © 2018